ENVISAT Product Reader API for C |

Functions
Dataset Access
Basic Data Access

## Functions

uint | epr_get_num_datasets (EPR_SProductId *product_id)
| Gets the number off all datasets contained in a product.
EPR_SDatasetId * | epr_get_dataset_id_at (EPR_SProductId *product_id, uint index)
| Gets the dataset_id at the specified position within the product.
EPR_SDatasetId * | epr_get_dataset_id (EPR_SProductId *product_id, const char *dataset_name)
| Gets the dataset_id coresponding to the specified dataset name.
const char * | epr_get_dataset_name (EPR_SDatasetId *dataset_id)
| Gets the name of the dataset for the given dataset ID.
const char * | epr_get_dsd_name (const EPR_SDatasetId *dataset_id)
| Gets the name of the dsd for the given dataset ID.
EPR_SRecord * | epr_get_mph (const EPR_SProductId *product_id)
| Gets the MPH record from the given `product_id`.
EPR_SRecord * | epr_get_sph (const EPR_SProductId *product_id)
| Gets the SPH record from the given `product_id`.
const EPR_SDSD * | epr_get_dsd (const EPR_SDatasetId *dataset_id)
| Gets the dataset descriptor (DSD) for the dataset specified by `dataset_id`.
uint | epr_get_num_records (const EPR_SDatasetId *dataset_id)
| Gets the number of records of the dataset specified by `dataset_id`.
uint | epr_get_num_dsds (const EPR_SProductId *product_id)
EPR_SDSD * | epr_get_dsd_at (const EPR_SProductId *product_id, uint dsd_index)

## Detailed Description

## Function Documentation

## ◆ epr_get_num_datasets()

uint epr_get_num_datasets | ( | EPR_SProductId * | product_id | ) |

Gets the number off all datasets contained in a product.

Parameters

  product_id | the product identifier, must not be `NULL`

Returns
  the number off all dataset

## ◆ epr_get_dataset_id_at()

EPR_SDatasetId * epr_get_dataset_id_at | ( | EPR_SProductId * | product_id,
|  | uint | index
| ) |  |

Gets the dataset_id at the specified position within the product.

Parameters

  product_id | the product identifier, must not be `NULL`
  index | the index identifying the position of the dataset, starting with 0, must not be negative

Returns
  the requested dataset_id

## ◆ epr_get_dataset_id()

EPR_SDatasetId * epr_get_dataset_id | ( | EPR_SProductId * | product_id,
|  | const char * | dataset_name
| ) |  |

Gets the dataset_id coresponding to the specified dataset name.

Parameters

  product_id | the product identifier, must not be `NULL`
  dataset_name | the dataset name, must not be `NULL`

Returns
  the requested dataset_id

## ◆ epr_get_dataset_name()

const char * epr_get_dataset_name | ( | EPR_SDatasetId * | dataset_id | ) |

Gets the name of the dataset for the given dataset ID.

Parameters

  dataset_id | the dataset identifier, must not be `NULL`

Returns
  the name of the dataset.

## ◆ epr_get_dsd_name()

const char * epr_get_dsd_name | ( | const EPR_SDatasetId * | dataset_id | ) |

Gets the name of the dsd for the given dataset ID.

Parameters

  dataset_id | the dataset identifier, must not be `NULL`

Returns
  the name of the dsd.

## ◆ epr_get_mph()

EPR_SRecord * epr_get_mph | ( | const EPR_SProductId * | product_id | ) |

Gets the MPH record from the given `product_id`.

Parameters

  product_id | the product identifier, must not be `NULL`

Returns
  the MPH record or `NULL` if an error occured.

## ◆ epr_get_sph()

EPR_SRecord * epr_get_sph | ( | const EPR_SProductId * | product_id | ) |

Gets the SPH record from the given `product_id`.

Parameters

  product_id | the product identifier, must not be `NULL`

Returns
  the SPH record or `NULL` if an error occured.

## ◆ epr_get_dsd()

const EPR_SDSD * epr_get_dsd | ( | const EPR_SDatasetId * | dataset_id | ) |

Gets the dataset descriptor (DSD) for the dataset specified by `dataset_id`.

Parameters

  dataset_id | the dataset identifier, must not be `NULL`

Returns
  the pointer at the dsd or `NULL` if an error occured.

## ◆ epr_get_num_records()

uint epr_get_num_records | ( | const EPR_SDatasetId * | dataset_id | ) |

Gets the number of records of the dataset specified by `dataset_id`.

Parameters

  dataset_id | the dataset identifier, must not be `NULL`

Returns
  the number of records or `0` if an error occured.

## ◆ epr_get_num_dsds()

uint epr_get_num_dsds | ( | const EPR_SProductId * | product_id | ) |

## ◆ epr_get_dsd_at()

EPR_SDSD * epr_get_dsd_at | ( | const EPR_SProductId * | product_id,
|  | uint | dsd_index
| ) |  |